<div class="patient-appt-tab-container m-2">
  <block-ui message="Loading..."></block-ui>
  <div class="appt-statistic-container">

    <mat-card style="padding: 10px !important;">
      <div class="w-100 d-flex align-items-center p-0 c-flex-wrap">
        <div class="round-corner-box flex-fill" [class.active]="p.active" *ngFor="let p of patientSummary">
          <a class="link d-flex flex-column align-items-center justify-content-center" href="javascript:void(0)"
             (click)="onSummaryCLick(p.index)">
            <div class="flex-fill" [ngClass]="p.active ? 'summary-number-selected' : 'summary-number-deselected'">
              {{ p.number }}
            </div>
            <div [ngClass]="p.active ? 'summary-title-selected' : 'summary-title-deselected'">
              {{ p.title }}
            </div>
          </a>
        </div>

        <div class="round-corner-box flex-fill">
          <a style="cursor: default;" tabindex="-1"
             class="link d-flex flex-column align-items-center justify-content-center" href="javascript:void(0)">
            <div class="flex-fill summary-number-deselected">
              {{daysSinceLastVisit}}
            </div>
            <div class="summary-title-deselected">
              Days Since Last Visit
            </div>
          </a>
        </div>
      </div>
    </mat-card>

  </div>

  <div class="appt-class-grid-container">

    <div class="appt-class-action-container d-flex justify-content-end">

      <button mat-stroked-button class="appt-alertbtn mr-2"
              *appAccess="moduleName; lookFor: ['C', 'E']" (click)="appointAlert()">
        Appointment Alert
      </button>
      <button *appAccess="moduleName; lookFor: 'C'" mat-raised-button class="add-planned-service-btn" (click)="addEditPlannedService()">
        Add Planned Service
      </button>

    </div>

    <div class="appt-class-action-container d-flex align-items-center">

      <div class="flex-fill">
        <button class="booking-appt-class-btn btn-tab" [class.btn-tab-active]="activeBtn === APPT_CLASSES"
                (click)="activeBtn = APPT_CLASSES">
          Bookings (Appointments & Classes)
        </button>
        <button class="planned-service-btn btn-tab ml-2" [class.btn-tab-active]="activeBtn === PLANNED_SERVICES"
                (click)="activeBtn = PLANNED_SERVICES">
          Planned Service ({{plannedServices ? plannedServices.length : '0'}})
        </button>
      </div>

      <div *ngIf="activeBtn === APPT_CLASSES">
        <button class="no-border-bg-btn" (click)="exportAppointment()">
          <img src="./assets/Share.png"/>
        </button>
        <button class="no-border-bg-btn" (click)="filterApptClasses()">
          <span class="k-icon k-i-filter" style="font-size: 22px; color: #575757;"></span>
        </button>
        <button class="no-border-bg-btn" *ngIf="isDisplayClear" (click)="clearFilter()">
          <span class="k-icon k-i-filter-clear" style="font-size: 22px; color: #575757;"></span>
        </button>
      </div>

    </div>

    <div class="appt-class-grid-container mt-3">

      <app-appointments-classes *ngIf="apptClassesData.length > 0 && activeBtn === APPT_CLASSES" [data]="apptClassesData"
                                [recurringData]="recurringData" [patientId]="patientId"
                                (load)="loadApptClasses()"></app-appointments-classes>

      <app-planned-services *ngIf="activeBtn === PLANNED_SERVICES" [data]="plannedServices"
                            [patientId]="patientId" (load)="loadPlannedService()"></app-planned-services>

      <app-grid-no-data *ngIf="apptClassesData.length <= 0" [title]="title" [description]="description">
      </app-grid-no-data>
    </div>

  </div>

</div>

<!-- DATE FILTER TEMPLATE -->
<ng-template #dateFilter>
  <div class="ac-date-filter-container" style="padding: 20px;">

    <div class="mb-2 normal_14px_22px_font" style="color: #1c1b1b;">
      Please select the date range to filter the Bookings:
    </div>

    <mat-form-field appearance="outline" class="full-width">
      <mat-label class="disable-label">Start Date</mat-label>
      <app-date-picker icon="./assets/ic-calendar-big.png" [value]="fromDateCtrl.value" (valueChange)="onDateSelect($event, FROM_DATE)"></app-date-picker>
    </mat-form-field>

    <mat-form-field appearance="outline" class="full-width">
      <mat-label class="disable-label">End Date</mat-label>
      <app-date-picker icon="./assets/ic-calendar-big.png" [value]="toDateCtrl.value" (valueChange)="onDateSelect($event, TO_DATE)"></app-date-picker>
    </mat-form-field>

  </div>
</ng-template>
